type Photo = {
    urlcompressed: string;
    url: string;
    title: string;
    localisation: string,
    description: string,
};

export function filterPhotos(photos: Photo[], chunkSize = 3): Photo[][] {
    const chunks: Photo[][] = [];
    for (let i = 0; i < photos.length; i += chunkSize) {
        chunks.push(photos.slice(i, i + chunkSize));
    }
    return chunks;
}