import { mdiMemory, mdiPenguin, mdiGamepadVariant } from "@mdi/js";

type TopicKey = "embedded" | "kernel" | "videogame";

type Topic = [string, string];

const topics: Record<TopicKey, Topic> = {
  embedded: ["Embedded", mdiMemory],
  kernel: ["Kernel Dev", mdiPenguin],
  videogame: ["Video Game", mdiGamepadVariant],
};

export default topics;
