import type { PageLoad } from "./$types";
import hubjson from "$lib/json/hub.json";
import { redirect } from "@sveltejs/kit";

export const load: PageLoad = () => {
    if (hubjson.projects.length > 0) {
        throw redirect(302, `/project/${hubjson.projects[0].url}`);
    }
    throw redirect(302, "/404");
};